
-- Trunco edw_prod.f_tr_datos_detallada_reinyect
truncate table edw_desa_swf.f_ps_bonos_sdp_detallada_reinyect;

-- Insert en la particion por Fecha de Evento, sin criterio de reinyectable en el WHERE Clause
insert overwrite table edw_desa_swf.f_ps_bonos_sdp_detallada partition(fecha=${CURRENT_DATE_N})
select 
ani_cd,
saldo_cd,
saldo_disponible_mo,
caducidad_fh,
saldo_bolsa_2_mo,
caducidad_2_fh,
saldo_bolsa_3_mo,
caducidad_3_fh,
saldo_bolsa_4_mo,
caducidad_4_fh,
saldo_bolsa_5_mo,
caducidad_5_fh,
saldo_bolsa_6_mo,
caducidad_6_fh,
deuda_pendiente_compensar_mo,
inicio_deuda_fe,
habilitacion_uso_deuda_fl,
nombre_extractor_tx,
fecha_id,
sistema_origen_id,
suscripcion_id,
tipo_oferta_id,
catalogo_producto_id,
geografia_cnc_id,
sub_region_cnc_id,
region_cnc_id,
flag_prepago_express_id,
operadora_propietaria_id,
operadora_receptora_id,
operadora_donante_id,
flag_volte_id,
equipo_tecnologia_id,
equipo_utilizado_tecnologia_id,
catalogo_equipo_id,
estado_suscripcion_id,
fecha_estado_suscripcion_id,
cliente_id,
sub_tipo_cliente_id,
tipo_cliente_id,
ciclo_facturacion_id,
score_economico_id,
operadora_larga_distancia_id,
suscripcion_cd,
urbano_cd,
interurbano_cd,
linea_cd,
tipo_oferta_de,
catalogo_producto_cd,
catalogo_producto_de,
geografia_cnc_cd,
sub_alm_cd,
alm_cd,
sub_region_cnc_de,
region_cnc_de,
operadora_propietaria_cd,
operadora_propietaria_de,
operadora_receptora_cd,
operadora_receptora_de,
operadora_donante_cd,
operadora_donante_de,
flag_volte_cd,
flag_volte_de,
equipo_tecnologia_cd,
equipo_tecnologia_de,
equipo_utilizado_tecnologia_cd,
equipo_utilizado_tecnologia_de,
catalogo_equipo_cd,
catalogo_equipo_de,
estado_suscripcion_cd,
estado_suscripcion_de,
cliente_cd,
sub_tipo_cliente_cd,
sub_tipo_cliente_de,
tipo_cliente_cd,
tipo_cliente_de,
ciclo_facturacion_cd,
ciclo_facturacion_de,
score_economico_cd,
score_economico_de,
operadora_larga_distancia_cd,
operadora_larga_distancia_de,
reinyectable,
error_cd
from edw_desa_swf.f_ps_bonos_sdp_detallada_final;